> For the complete documentation index, see [llms.txt](https://docs.pakk.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pakk.io/data-and-integrations/api/exploring-api-requests-and-responses.md).

# Exploring API Requests and Responses

The easiest way to explore the API is by using the admin panel as a reference.

The API against which you are developing is the same as the API that powers the Pakk admin panel used by tenants to conduct their day-to-day business.  Effectively, this means that every interaction that can be performed via the admin panel, which is basically everything, can also be completed via the API.

The easiest way to explore the API and understand the shape of requests and responses is by using the admin panel as a reference.  There are two main ways in which this can be achieved.

### Show API Field Paths (Simple)

* Click on your profile picture/email address and in the admin panel settings panel that appears, toogle 'Show API Field Paths'.
* All fields will now display an extra label with the name of the field as it will appear in API requests and responses.

### Inspect Requests and Responses

Arguably, the easiest way to get comfortable with the API is to observe how the admin panel uses it.  Open your dev tools, go to the network tab and observe how actions in the admin panel are relayed via the API.  Whatever the admin panel can do, so can you!


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pakk.io/data-and-integrations/api/exploring-api-requests-and-responses.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
